Thứ Năm, 18 tháng 4, 2024

Lisp xác định tâm đường bao kín trong AutoCAD | Free lisp get centroid of closed polyline | AutoLISP reviewer

Ứng dụng được sưu tầm bởi đội ngũ AutoLISP Thật là đơn giản
   


Thông tin thêm: 👉👉👉


Tác giả: Lee Mac 

(defun c:pc ( / acdoc acspc acsel reg ) (vl-load-com) ;; © Lee Mac 2011

 (setq acdoc (vla-get-ActiveDocument (vlax-get-acad-object))
       acspc (vlax-get-property acdoc (if (= 1 (getvar 'CVPORT)) 'Paperspace 'Modelspace))
 )
 (if (ssget '((0 . "LWPOLYLINE") (-4 . "&=") (70 . 1)))
   (progn
     (vlax-for obj (setq acsel (vla-get-ActiveSelectionSet acdoc))
       (vlax-invoke acspc 'addpoint
         (trans (vlax-get (setq reg (car (vlax-invoke acspc 'addregion (list obj)))) 'Centroid) 1 0)
       )
       (vla-delete reg)
     )
     (vla-delete acsel)
   )
 )
 (princ)
)


Cách sử dụng:

  • Bước 1: Load lisp
  • Bước 2: Thực hiện lệnh PC
  • Bước 3: Chọn Polyline kín
  • Bước 4: Enter để kết thúc.


Link tải


Nguồn tham khảo



------------------------------------------------------------------------------------------------
Ứng dụng được phát triển bởi đội ngũ AutoLISP Thật là đơn giản

    

Mọi thông tin xin liên hệ Fanpage AutoLISP Thật là đơn giản!
Cảm ơn bạn đã theo dõi!

Không có nhận xét nào:

Đăng nhận xét

Chuyển đổi Text tiếng Trung Nhật Hàn | Convert text string from Japanese Korean Chinese | AutoCAD dotNet

Ứng dụng được phát triển bởi đội ngũ AutoLISP Thật là đơn giản      Thông tin thêm: 👉👉👉